javax.batch.runtime

## Enum BatchStatus

- java.lang.Object
- - java.lang.Enum<BatchStatus>
  - - javax.batch.runtime.BatchStatus

All Implemented Interfaces:
  Serializable, Comparable<BatchStatus>

    public enum BatchStatus
    extends Enum<BatchStatus>

BatchStatus enum defines the batch status values possible for a job.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABANDONED`
`COMPLETED`
`FAILED`
`STARTED`
`STARTING`
`STOPPED`
`STOPPING`

### Method Summary

Methods
`static BatchStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BatchStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STARTING

    public static final BatchStatus STARTING

#### STARTED

    public static final BatchStatus STARTED

#### STOPPING

    public static final BatchStatus STOPPING

#### STOPPED

    public static final BatchStatus STOPPED

#### FAILED

    public static final BatchStatus FAILED

#### COMPLETED

    public static final BatchStatus COMPLETED

#### ABANDONED

    public static final BatchStatus ABANDONED

### Method Detail

#### values

    public static BatchStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BatchStatus c : BatchStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BatchStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0